Deploy to the App Store (Help wanted)

Getting into LiveCode for iOS? Ask your questions here.

Moderators: heatherlaine, Klaus, FourthWorld, robinmiller, kevinmiller

Post Reply
Peter@multidesk.se
Posts: 95
Joined: Fri Oct 14, 2011 6:53 am

Deploy to the App Store (Help wanted)

Post by Peter@multidesk.se » Mon Jan 29, 2018 1:47 pm

Is there anyone who would like to help me deploy my app to the App Store?
I try to make it work with some old versions of Xcode, but it does not go well and Xcode 9 works as we know, not right now. (I get the most crazy error codes you can imagine)

The Android app has been on Google Play for a while now and my customers are waiting for the iOs version.

This is of course a paid assignment.


Let me know

/// Peter
/*Whats all the fuss with c# ?*/

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 453
Joined: Fri Feb 06, 2015 4:03 pm

Re: Deploy to the App Store (Help wanted)

Post by LiveCode_Panos » Mon Jan 29, 2018 2:03 pm

Hi Peter,

What errors are you getting? Currently the problem with Xcode9 is that if your app supports iPhone X, then you *have to* build the standalone with Xcode 9, but because of a bug in LC, the plist is not properly updated, and, although the app is indeed built with Xcode 9, the plist says that it is built with Xcode 6.2, so your app will not list iPhone X among the supported devices, and iPhone X users will not be able to install your app from the appstore.

However, we will release 8.1.9 RC-2 *really soon*, which will fix these issues.

Best,
Panos
--

Peter@multidesk.se
Posts: 95
Joined: Fri Oct 14, 2011 6:53 am

Re: Deploy to the App Store (Help wanted)

Post by Peter@multidesk.se » Mon Jan 29, 2018 2:25 pm

Panos,

The problem is that I'm using LC 9.0.0 (dp11) and I have not managed to link any other version of xCode than the xCode 9 to it. I have also tried earlier versions of LC with both xCode 8.2 and 8.3.3 but failed to get any previous version of LC to accept these. (despite the fact that the documentation says otherwise)

And no, building for iphone X is not a priority.

I look forward to 8.1.9 (rc2) but the problem persists, I have to find a way to get my app to the App Store... yesterday ! :?


///Peter
/*Whats all the fuss with c# ?*/

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 453
Joined: Fri Feb 06, 2015 4:03 pm

Re: Deploy to the App Store (Help wanted)

Post by LiveCode_Panos » Mon Jan 29, 2018 2:51 pm

If you use Xcode 9 DP-11, then the accepted versions of Xcode depend on the version of the OS, so:

- Mac OS 10.10 ---> Xcode 7.2
- Mac OS 10.11 --> Xcode 8.2
- Mac OS 10.12.6+ --> Xcode 9.2

It is suggested to place each version of Xcode in a separate folder, so for example I have a folder "Xcodes' with has subfolders "Xcode_8_3_3", "Xcode_9_1_0", "Xcode_9_2_0" and each one of these subfolders contains the actual Xcode.app of the same version.

What is the error you are getting when building with Xcode 9.2?

Best,
Panos
--

Peter@multidesk.se
Posts: 95
Joined: Fri Oct 14, 2011 6:53 am

Re: Deploy to the App Store (Help wanted)

Post by Peter@multidesk.se » Mon Jan 29, 2018 3:28 pm

When I build with 9.2 there is no error. The problem, in that case, starts when I try to upload the file.

When I try to use a different xCode I get:
Skärmavbild 2018-01-25 kl. 13.28.29.png
///Peter
/*Whats all the fuss with c# ?*/

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 453
Joined: Fri Feb 06, 2015 4:03 pm

Re: Deploy to the App Store (Help wanted)

Post by LiveCode_Panos » Mon Jan 29, 2018 3:31 pm

OK, since you do not get an error when building with 9.2, I would suggest you stay with 9.2.
The problem, in that case, starts when I try to upload the file.
What is the problem? Are you using Application Loader to upload the file? What is the exact error you are getting?

Best,
Panos
--

Peter@multidesk.se
Posts: 95
Joined: Fri Oct 14, 2011 6:53 am

Re: Deploy to the App Store (Help wanted)

Post by Peter@multidesk.se » Mon Jan 29, 2018 3:44 pm

Ok, I tried to upload again and this was a new one:

No suitable application records were found. Verify your bundle identifier 'se.korkort.korkortskoll' is correct.

I cannot see that it's not correct.


///Peter
/*Whats all the fuss with c# ?*/

jmburnod
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 2219
Joined: Sat Dec 22, 2007 5:35 pm
Location: Genève
Contact:

Re: Deploy to the App Store (Help wanted)

Post by jmburnod » Mon Jan 29, 2018 4:33 pm

Hi Peter,
Sorry if my question is too basic but
Did you try to upload an .ipa file ?
Best regards
Jean-Marc

Peter@multidesk.se
Posts: 95
Joined: Fri Oct 14, 2011 6:53 am

Re: Deploy to the App Store (Help wanted)

Post by Peter@multidesk.se » Mon Jan 29, 2018 5:07 pm

Jean-Marc,

I don't think that any question should be consider as too basic. :)

But yes, Of course I did!


///Peter
/*Whats all the fuss with c# ?*/

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 453
Joined: Fri Feb 06, 2015 4:03 pm

Re: Deploy to the App Store (Help wanted)

Post by LiveCode_Panos » Mon Jan 29, 2018 5:29 pm

Hi all,

@Peter
RE the error
No suitable application records were found. Verify your bundle identifier 'se.korkort.korkortskoll' is correct.
,

What is the app id in iTunes Connect? The identifier in iTunes Connect has to be *exactly* the same as the "Internal App ID" in the standalone settings.

Could it be the case that there is an uppercase letter somewhere?

Best,
Panos
--

Peter@multidesk.se
Posts: 95
Joined: Fri Oct 14, 2011 6:53 am

Re: Deploy to the App Store (Help wanted)

Post by Peter@multidesk.se » Tue Jan 30, 2018 10:23 am

Ok, now I have tried with the new LC 8.1.9 RC 2 and get this error instead
Skärmavbild 2018-01-30 kl. 10.12.25.png
///Peter
/*Whats all the fuss with c# ?*/

Peter@multidesk.se
Posts: 95
Joined: Fri Oct 14, 2011 6:53 am

Re: Deploy to the App Store (Help wanted)

Post by Peter@multidesk.se » Tue Jan 30, 2018 11:56 am

I saw that it could have some to do with a widget such as "Spinner", but I just have "switch button" widgets. And they should work, right? (I have a whole setup page that only consists of these, so it just has to)

///Peter
/*Whats all the fuss with c# ?*/

Randy Hengst
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 144
Joined: Thu Jun 29, 2006 4:16 pm

Re: Deploy to the App Store (Help wanted)

Post by Randy Hengst » Tue Jan 30, 2018 5:43 pm

Hi Peter,

It's been a while, but had an iOS app rejection (I can't remember the error alert) where I had messed up the Internal App ID setting in the Standalone Application Settings window in LC. That entry has to match exactly the ID you entered when you created the new app information in Apple's process. I'm basing this suggestion on the alert you received to verify the bundle identifier.

randy

Post Reply

Return to “iOS Deployment”